# PetscMapGetSize

Gets the total number of elements associated with this map.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapGetSize(PetscMap m,PetscInt *N)

Not Collective

### Input Parameter

m -the map object

### Output Parameter

N -the global size

### See Also

PetscMapGetLocalSize(), PetscMapGetLocalRange(), PetscMapGetGlobalRange()

Level:developer
Location:src/vec/interface/map.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages